[arch-commits] Commit in python-matplotlib/repos (4 files)

Felix Yan fyan at archlinux.org
Mon Jan 11 06:45:11 UTC 2016


    Date: Monday, January 11, 2016 @ 07:45:10
  Author: fyan
Revision: 155945

archrelease: copy trunk to community-i686, community-x86_64

Added:
  python-matplotlib/repos/community-i686/PKGBUILD
    (from rev 155944, python-matplotlib/trunk/PKGBUILD)
  python-matplotlib/repos/community-x86_64/PKGBUILD
    (from rev 155944, python-matplotlib/trunk/PKGBUILD)
Deleted:
  python-matplotlib/repos/community-i686/PKGBUILD
  python-matplotlib/repos/community-x86_64/PKGBUILD

---------------------------+
 /PKGBUILD                 |  228 ++++++++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD   |  114 ----------------------
 community-x86_64/PKGBUILD |  114 ----------------------
 3 files changed, 228 insertions(+), 228 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2016-01-11 06:44:32 UTC (rev 155944)
+++ community-i686/PKGBUILD	2016-01-11 06:45:10 UTC (rev 155945)
@@ -1,114 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
-# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
-# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
-
-pkgbase=python-matplotlib
-pkgname=('python2-matplotlib' 'python-matplotlib')
-pkgver=1.5.0
-pkgrel=2
-pkgdesc="A python plotting library, making publication quality plots"
-arch=('i686' 'x86_64')
-url='http://matplotlib.org'
-license=('custom')
-checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
-              'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape')
-makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
-             'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
-             'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
-             'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
-             'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
-             'libxkbcommon-x11' 'python-pillow' 'python2-pillow' 'python-setuptools'
-             'python2-setuptools' 'python-cycler' 'python2-cycler' 'pep8' 'python2-pep8'
-             'python-pandas' 'python2-pandas')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz")
-sha512sums=('017797c139383e1878cbd4b5595c192f2dedf649e2d268d4bad5421e4a955f3da6d1c9011ce29d6f3487709bb3a8592693d8914335f9f95254a2e267e7ea1cf5')
-
-prepare() {
-   cp -a matplotlib-${pkgver} matplotlib-${pkgver}-py2
-
-   cd matplotlib-${pkgver}
-   for file in $(find . -name '*.py' -print); do
-      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
-             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
-   done
-
-   cd ../matplotlib-${pkgver}-py2
-   for file in $(find . -name '*.py' -print); do
-      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
-             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
-   done
-}
-
-build() {
-   # this seems to need to be present or gtk/gdk dies
-   # and hangs the build checking if gtk3cairo is installed
-   export XDG_RUNTIME_DIR=/tmp
-
-   cd matplotlib-${pkgver}
-   python3 setup.py build
-
-   cd ../matplotlib-${pkgver}-py2
-   python2 setup.py build
-}
-
-check() {
-   cd matplotlib-${pkgver}
-   (
-     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.5:$PYTHONPATH"
-     python -c "from matplotlib import font_manager"
-     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
-     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
-       python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
-   )
-
-   cd ../matplotlib-${pkgver}-py2
-   (
-     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
-     python2 -c "from matplotlib import font_manager"
-     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
-     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
-       python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
-   )
-}
-
-package_python2-matplotlib() {
-   depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'python2-cycler' 'libxkbcommon-x11')
-   optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
-               'python2-cairo: for GTKCairo/GTK3Cairo backend'
-               'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
-               'python2-pyqt4: for Qt4Agg backend'
-               'tk: used by the TkAgg backend'
-               'ghostscript: usetex dependencies'
-               'texlive-bin: usetex dependencies'
-               'python2-tornado: for webagg backend'
-               'python2-gobject: for GTK3Agg/GTK3Cairo backend'
-               'wxpython: for WX/WXAgg backend'
-               'python2-pillow: for reading/saving .jpg/bmp/tiff files')
-
-   cd matplotlib-${pkgver}-py2
-   python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
-
-   install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
-   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
-}
-
-package_python-matplotlib() {
-   depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'python-cycler' 'libxkbcommon-x11')
-   optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
-               'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
-               'python-pyqt4: for Qt4Agg backend'
-               'tk: used by the TkAgg backend'
-               'ghostscript: usetex dependencies'
-               'texlive-bin: usetex dependencies'
-               'python-tornado: for webagg backend'
-               'python-pillow: for reading/saving .jpg/bmp/tiff files')
-
-   cd matplotlib-${pkgver}
-   python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
-
-   install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
-   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
-}

Copied: python-matplotlib/repos/community-i686/PKGBUILD (from rev 155944, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2016-01-11 06:45:10 UTC (rev 155945)
@@ -0,0 +1,114 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgbase=python-matplotlib
+pkgname=('python2-matplotlib' 'python-matplotlib')
+pkgver=1.5.1
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('i686' 'x86_64')
+url='http://matplotlib.org'
+license=('custom')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape'
+              'pep8' 'python2-pep8' 'python-pandas' 'python2-pandas')
+makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
+             'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
+             'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
+             'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
+             'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
+             'libxkbcommon-x11' 'python-pillow' 'python2-pillow' 'python-setuptools'
+             'python2-setuptools' 'python-cycler' 'python2-cycler')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz")
+sha512sums=('82df20b18d4008ffed2b7098cbfede109a1054c995b5683b384adbdac62371b9fbb776fd735adf2e5f03d3ba0c2fed869f2f54b0bb1e969e82af5110613b0149')
+
+prepare() {
+   cp -a matplotlib-${pkgver} matplotlib-${pkgver}-py2
+
+   cd matplotlib-${pkgver}
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
+   done
+
+   cd ../matplotlib-${pkgver}-py2
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
+   done
+}
+
+build() {
+   # this seems to need to be present or gtk/gdk dies
+   # and hangs the build checking if gtk3cairo is installed
+   export XDG_RUNTIME_DIR=/tmp
+
+   cd matplotlib-${pkgver}
+   python3 setup.py build
+
+   cd ../matplotlib-${pkgver}-py2
+   python2 setup.py build
+}
+
+check() {
+   cd matplotlib-${pkgver}
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.5:$PYTHONPATH"
+     python -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+
+   cd ../matplotlib-${pkgver}-py2
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
+     python2 -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+}
+
+package_python2-matplotlib() {
+   depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'python2-cycler' 'libxkbcommon-x11')
+   optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
+               'python2-cairo: for GTKCairo/GTK3Cairo backend'
+               'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
+               'python2-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python2-tornado: for webagg backend'
+               'python2-gobject: for GTK3Agg/GTK3Cairo backend'
+               'wxpython: for WX/WXAgg backend'
+               'python2-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}-py2
+   python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
+}
+
+package_python-matplotlib() {
+   depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'python-cycler' 'libxkbcommon-x11')
+   optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
+               'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
+               'python-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python-tornado: for webagg backend'
+               'python-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}
+   python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
+}

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2016-01-11 06:44:32 UTC (rev 155944)
+++ community-x86_64/PKGBUILD	2016-01-11 06:45:10 UTC (rev 155945)
@@ -1,114 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
-# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
-# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
-
-pkgbase=python-matplotlib
-pkgname=('python2-matplotlib' 'python-matplotlib')
-pkgver=1.5.0
-pkgrel=2
-pkgdesc="A python plotting library, making publication quality plots"
-arch=('i686' 'x86_64')
-url='http://matplotlib.org'
-license=('custom')
-checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
-              'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape')
-makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
-             'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
-             'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
-             'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
-             'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
-             'libxkbcommon-x11' 'python-pillow' 'python2-pillow' 'python-setuptools'
-             'python2-setuptools' 'python-cycler' 'python2-cycler' 'pep8' 'python2-pep8'
-             'python-pandas' 'python2-pandas')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz")
-sha512sums=('017797c139383e1878cbd4b5595c192f2dedf649e2d268d4bad5421e4a955f3da6d1c9011ce29d6f3487709bb3a8592693d8914335f9f95254a2e267e7ea1cf5')
-
-prepare() {
-   cp -a matplotlib-${pkgver} matplotlib-${pkgver}-py2
-
-   cd matplotlib-${pkgver}
-   for file in $(find . -name '*.py' -print); do
-      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
-             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
-   done
-
-   cd ../matplotlib-${pkgver}-py2
-   for file in $(find . -name '*.py' -print); do
-      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
-             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
-   done
-}
-
-build() {
-   # this seems to need to be present or gtk/gdk dies
-   # and hangs the build checking if gtk3cairo is installed
-   export XDG_RUNTIME_DIR=/tmp
-
-   cd matplotlib-${pkgver}
-   python3 setup.py build
-
-   cd ../matplotlib-${pkgver}-py2
-   python2 setup.py build
-}
-
-check() {
-   cd matplotlib-${pkgver}
-   (
-     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.5:$PYTHONPATH"
-     python -c "from matplotlib import font_manager"
-     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
-     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
-       python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
-   )
-
-   cd ../matplotlib-${pkgver}-py2
-   (
-     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
-     python2 -c "from matplotlib import font_manager"
-     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
-     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
-       python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
-   )
-}
-
-package_python2-matplotlib() {
-   depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'python2-cycler' 'libxkbcommon-x11')
-   optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
-               'python2-cairo: for GTKCairo/GTK3Cairo backend'
-               'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
-               'python2-pyqt4: for Qt4Agg backend'
-               'tk: used by the TkAgg backend'
-               'ghostscript: usetex dependencies'
-               'texlive-bin: usetex dependencies'
-               'python2-tornado: for webagg backend'
-               'python2-gobject: for GTK3Agg/GTK3Cairo backend'
-               'wxpython: for WX/WXAgg backend'
-               'python2-pillow: for reading/saving .jpg/bmp/tiff files')
-
-   cd matplotlib-${pkgver}-py2
-   python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
-
-   install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
-   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
-}
-
-package_python-matplotlib() {
-   depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'python-cycler' 'libxkbcommon-x11')
-   optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
-               'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
-               'python-pyqt4: for Qt4Agg backend'
-               'tk: used by the TkAgg backend'
-               'ghostscript: usetex dependencies'
-               'texlive-bin: usetex dependencies'
-               'python-tornado: for webagg backend'
-               'python-pillow: for reading/saving .jpg/bmp/tiff files')
-
-   cd matplotlib-${pkgver}
-   python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
-
-   install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
-   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
-}

Copied: python-matplotlib/repos/community-x86_64/PKGBUILD (from rev 155944, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2016-01-11 06:45:10 UTC (rev 155945)
@@ -0,0 +1,114 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgbase=python-matplotlib
+pkgname=('python2-matplotlib' 'python-matplotlib')
+pkgver=1.5.1
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('i686' 'x86_64')
+url='http://matplotlib.org'
+license=('custom')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape'
+              'pep8' 'python2-pep8' 'python-pandas' 'python2-pandas')
+makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
+             'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
+             'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
+             'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
+             'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
+             'libxkbcommon-x11' 'python-pillow' 'python2-pillow' 'python-setuptools'
+             'python2-setuptools' 'python-cycler' 'python2-cycler')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz")
+sha512sums=('82df20b18d4008ffed2b7098cbfede109a1054c995b5683b384adbdac62371b9fbb776fd735adf2e5f03d3ba0c2fed869f2f54b0bb1e969e82af5110613b0149')
+
+prepare() {
+   cp -a matplotlib-${pkgver} matplotlib-${pkgver}-py2
+
+   cd matplotlib-${pkgver}
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
+   done
+
+   cd ../matplotlib-${pkgver}-py2
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
+   done
+}
+
+build() {
+   # this seems to need to be present or gtk/gdk dies
+   # and hangs the build checking if gtk3cairo is installed
+   export XDG_RUNTIME_DIR=/tmp
+
+   cd matplotlib-${pkgver}
+   python3 setup.py build
+
+   cd ../matplotlib-${pkgver}-py2
+   python2 setup.py build
+}
+
+check() {
+   cd matplotlib-${pkgver}
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.5:$PYTHONPATH"
+     python -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+
+   cd ../matplotlib-${pkgver}-py2
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
+     python2 -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+}
+
+package_python2-matplotlib() {
+   depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'python2-cycler' 'libxkbcommon-x11')
+   optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
+               'python2-cairo: for GTKCairo/GTK3Cairo backend'
+               'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
+               'python2-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python2-tornado: for webagg backend'
+               'python2-gobject: for GTK3Agg/GTK3Cairo backend'
+               'wxpython: for WX/WXAgg backend'
+               'python2-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}-py2
+   python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
+}
+
+package_python-matplotlib() {
+   depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'python-cycler' 'libxkbcommon-x11')
+   optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
+               'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
+               'python-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python-tornado: for webagg backend'
+               'python-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}
+   python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
+}



More information about the arch-commits mailing list